Subject: Re: bug#68246: 30.0.50; Add non-TS mode as extra parent of TS modes

From: João Távora <[email-masked]>
Date: Wed, 10 Jan 2024 01:59:12 +0000

On Wed, Jan 10, 2024 at 1:16 AM Dmitry Gutov <[email-masked]> wrote:

> > If I could reliably write `get-language-for-mode`, this is much closer to
> > what they are really after:
> >
> >      (ocaml "ocamllsp")
> >      (reason "ocamllsp")
>
> In the end, this could be a reliable solution without fully committing
> that our language identifiers are fully synced to VS Code/LSP.

Yes, we needn't commit, though no reason to needlessly deviate from
that list either.  Note that the full list in the LSP spec isn't very long
or complete.  It's just a "recommendation".

As I understand, it's rather servers themselves  (particularly the ones
who support more than one language, like typescript-language-server,
ocamllsp, and others) who make this decision.  So I guess the full list
is the union of all supported identifiers , and there might be one or
two conflicts there, but I would suspect not a lot.

> Overrides would still be needed, but it could help shorten the list.

Yes, I think I can realistically support this:

  (("ocaml" "reason") "ocamllsp")

Note the strings in the car becasue symbols already mean major modes.

João